Subject: Re: [PATCH v3] [POWERPC] bootwrapper: build multiple cuImages

From: Scott Wood <[email-masked]>
Date: Wed, 06 Feb 2008 11:04:43 -0600

Grant Likely wrote:
> -ifneq ($(CONFIG_DEVICE_TREE),"")
> -image-$(CONFIG_PPC_8xx)			+= cuImage.8xx
> -image-$(CONFIG_PPC_EP88XC)		+= zImage.ep88xc
> -image-$(CONFIG_EP405)			+= zImage.ep405
> -image-$(CONFIG_8260)			+= cuImage.pq2
> -image-$(CONFIG_EP8248E)			+= zImage.ep8248e
> -image-$(CONFIG_PPC_MPC52xx)		+= cuImage.52xx
> -image-$(CONFIG_STORCENTER)		+= cuImage.824x
> -image-$(CONFIG_PPC_83xx)		+= cuImage.83xx
> -image-$(CONFIG_PPC_85xx)		+= cuImage.85xx
> -ifeq ($(CONFIG_CPM2),y)
> -image-$(CONFIG_PPC_85xx)		+= cuImage.85xx-cpm2
> -endif
> -image-$(CONFIG_MPC7448HPC2)		+= cuImage.hpc2
> +#
> +# Targets which embed a device tree blob
> +#
> +# Theses are default targets to build images which embed device tree blobs.
> +# They are only required on boards which do not have FDT support in firmware.
> +# Boards with newish u-boot firmare can use the uImage target above
> +#
> +
> +# Board ports in arch/powerpc/platform/40x/Kconfig
> +image-$(CONFIG_EP405)			+= zImage-dtb.ep405
> +image-$(CONFIG_WALNUT)			+= treeImage.walnut
> +
> +# Board ports in arch/powerpc/platform/44x/Kconfig
>  image-$(CONFIG_EBONY)			+= treeImage.ebony cuImage.ebony
>  image-$(CONFIG_BAMBOO)			+= treeImage.bamboo cuImage.bamboo
>  image-$(CONFIG_SEQUOIA)			+= cuImage.sequoia
>  image-$(CONFIG_RAINIER)			+= cuImage.rainier
> -image-$(CONFIG_WALNUT)			+= treeImage.walnut
>  image-$(CONFIG_TAISHAN)			+= cuImage.taishan
>  image-$(CONFIG_KATMAI)			+= cuImage.katmai
>  image-$(CONFIG_WARP)			+= cuImage.warp
> -endif
>  
> -ifneq ($(CONFIG_REDBOOT),"")
> -image-$(CONFIG_PPC_8xx)			+= zImage.redboot-8xx
> -endif
> +# Board ports in arch/powerpc/platform/8xx/Kconfig
> +image-$(CONFIG_PPC_MPC86XADS)		+= cuImage.mpc866ads
> +image-$(CONFIG_PPC_MPC885ADS)		+= zImage-dtb.mpc885ads

mpc885ads is cuImage.

> +# Board ports in arch/powerpc/platform/83xx/Kconfig
> +image-$(CONFIG_MPC8313_RDB)		+= cuImage.mpc8313erdb

I don't think we need cuImage for this board (no pre-device-tree u-boot).

> +image-$(CONFIG_MPC837x_MDS)		+= cuImage.mpc8377_mds \
> +					   cuImage.mpc8378_mds \
> +					   cuImage.mpc8379_mds

I really hope we don't need cuImage for these. :-)

I wish CONFIG_BOARD_FOO could be annotated with properties such as image 
   name and bootwrapper platform, rather than having to maintain 
separate lists...  Oh well.

-Scott